diff --git python-unipath/python-unipath.spec python-unipath/python-unipath.spec.tmp
index 72fdd730f7..a14b01bbd5 100644
--- python-unipath/python-unipath.spec
+++ python-unipath/python-unipath.spec.tmp
@@ -5,7 +5,7 @@
 Summary:       Alternative to Python modules os, os.path and shutil
 Name:          python-unipath
 Version:       1.0
-Release:       10%{?dist}
+Release:       11%{?dist}
 License:       Python
 Group:         Development/Tools
 URL  :         http://pypi.python.org/pypi/Unipath/
@@ -17,26 +17,34 @@ BuildRequires: python-setuptools
 BuildRequires: python3-devel
 BuildRequires: python3-setuptools
 %endif
-%description
-Unipath is a package for doing pathname calculations and filesystem
-access in an object-oriented manner, an alternative to functions in
-os.path, shutil and glob, and even some functions in os.* It's based
-on Jason Orendorff's path.py but does not adhere as strictly to the
-underlying functions' syntax, in order to provide more user
-convenience and higher-level functionality. For example:
-
- o p.mkdir() succeeds silently if the directory already exists, and
- o p.mkdir(True) creates intermediate directories a la os.makedirs.
- o p.rmtree(parents=True) combines shutil.rmtree, os.path.isdir,
-   os.remove, and os.removedirs, to recursively remove whatever it is
-   if it exists.
- o p.read_file("rb") returns the file's contents in binary mode.
- o p.needs_update([other_path1, ...]) returns True if p doesn't exist
-   or has an older timestamp than any of the others.
- o extra convenience functions in the unipath.tools module. dict2dir
-   creates a directory hierarchy described by a dict. dump_path displays
+%global _description\
+Unipath is a package for doing pathname calculations and filesystem\
+access in an object-oriented manner, an alternative to functions in\
+os.path, shutil and glob, and even some functions in os.* It's based\
+on Jason Orendorff's path.py but does not adhere as strictly to the\
+underlying functions' syntax, in order to provide more user\
+convenience and higher-level functionality. For example:\
+\
+ o p.mkdir() succeeds silently if the directory already exists, and\
+ o p.mkdir(True) creates intermediate directories a la os.makedirs.\
+ o p.rmtree(parents=True) combines shutil.rmtree, os.path.isdir,\
+   os.remove, and os.removedirs, to recursively remove whatever it is\
+   if it exists.\
+ o p.read_file("rb") returns the file's contents in binary mode.\
+ o p.needs_update([other_path1, ...]) returns True if p doesn't exist\
+   or has an older timestamp than any of the others.\
+ o extra convenience functions in the unipath.tools module. dict2dir\
+   creates a directory hierarchy described by a dict. dump_path displays\
    an ASCII tree of a directory hierarchy.
 
+%description %_description
+
+%package -n python2-unipath
+Summary: %summary
+%{?python_provide:%python_provide python2-unipath}
+
+%description -n python2-unipath %_description
+
 %if 0%{?with_python3}
 %package -n     python3-unipath
 Summary:        Alternative to Python modules os, os.path and shutil
@@ -86,7 +94,7 @@ pushd %{py3dir}
 %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
 %endif
 
-%files
+%files -n python2-unipath
 %doc BUGS.txt CHANGES PKG-INFO README.html README.rst
 %{python_sitelib}/unipath/
 %{python_sitelib}/%{oname}-%{version}-py*.egg-info
@@ -99,6 +107,10 @@ pushd %{py3dir}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-11
+- Python 2 subpackage renamed to python2-unipath
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-urlgrabber/python-urlgrabber.spec python-urlgrabber/python-urlgrabber.spec.tmp
index b53558c7a7..399fca82e2 100644
--- python-urlgrabber/python-urlgrabber.spec
+++ python-urlgrabber/python-urlgrabber.spec.tmp
@@ -1,7 +1,7 @@
 Summary: A high-level cross-protocol url-grabber
 Name: python-urlgrabber
 Version: 3.10.1
-Release: 12%{?dist}
+Release: 13%{?dist}
 Source0: http://urlgrabber.baseurl.org/download/urlgrabber-%{version}.tar.gz
 Patch1: urlgrabber-HEAD.patch
 Patch2: BZ-1051554-speed-on-404-mirror.patch
@@ -11,15 +11,22 @@ Group: Development/Libraries
 BuildArch: noarch
 BuildRequires: python2-devel, python-pycurl
 Url: http://urlgrabber.baseurl.org/
-Provides: urlgrabber = %{version}-%{release}
-Provides: python2-urlgrabber = %{version}-%{release}
-Requires: python-pycurl
 
-%description
-A high-level cross-protocol url-grabber for python supporting HTTP, FTP 
-and file locations.  Features include keepalive, byte ranges, throttling,
+%global _description\
+A high-level cross-protocol url-grabber for python supporting HTTP, FTP\
+and file locations.  Features include keepalive, byte ranges, throttling,\
 authentication, proxies and more.
 
+%description %_description
+
+%package -n python2-urlgrabber
+Summary: %summary
+Requires: python-pycurl
+Provides: urlgrabber = %{version}-%{release}
+%{?python_provide:%python_provide python2-urlgrabber}
+
+%description -n python2-urlgrabber %_description
+
 %prep
 %setup -q -n urlgrabber-%{version}
 %patch1 -p1
@@ -32,7 +39,7 @@ authentication, proxies and more.
 %py2_install
 rm -rf $RPM_BUILD_ROOT/%{_docdir}/urlgrabber-%{version}
 
-%files
+%files -n python2-urlgrabber
 %license LICENSE
 %doc ChangeLog README TODO
 %{python2_sitelib}/urlgrabber*
@@ -40,6 +47,10 @@ rm -rf $RPM_BUILD_ROOT/%{_docdir}/urlgrabber-%{version}
 %attr(0755,root,root) %{_libexecdir}/urlgrabber-ext-down
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.10.1-13
+- Python 2 subpackage renamed to python2-urlgrabber
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.1-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-urllib2_kerberos/python-urllib2_kerberos.spec python-urllib2_kerberos/python-urllib2_kerberos.spec.tmp
index 13a26957b7..66c72e8c38 100644
--- python-urllib2_kerberos/python-urllib2_kerberos.spec
+++ python-urllib2_kerberos/python-urllib2_kerberos.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{srcname}
 Version:        0.1.6
-Release:        21%{?dist}
+Release:        22%{?dist}
 Summary:        Kerberos over HTTP Negotiate/SPNEGO support for urllib2
 
 Group:          Development/Languages
@@ -22,11 +22,19 @@ Patch3:         port-to-python-2.4.patch
 
 BuildArch:      noarch
 BuildRequires:  python-setuptools
-Requires:       python-kerberos
 
-%description
+%global _description\
 urllib2 with kerberos authentication.
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+Requires:       python-kerberos
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
+
 %prep
 %setup -q -n %{srcname}-%{version}
 
@@ -51,12 +59,16 @@ touch -r $lib $lib.new && mv $lib.new $lib
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-%{srcname}
 %{python_sitelib}/*
 
 # TODO this should be fix for #1065576, #578711, and #1115513
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.6-22
+- Python 2 subpackage renamed to python2-urllib2_kerberos
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-21
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-urlobject/python-urlobject.spec python-urlobject/python-urlobject.spec.tmp
index 4b3d3806b7..d31e02d515 100644
--- python-urlobject/python-urlobject.spec
+++ python-urlobject/python-urlobject.spec.tmp
@@ -5,7 +5,7 @@
 Name: python-urlobject
 Summary: A utility class for manipulating URLs
 Version: 2.4.0
-Release: 11%{?dist}
+Release: 12%{?dist}
 BuildArch:  noarch
 Source0: https://pypi.python.org/packages/source/U/URLObject/URLObject-%{version}.tar.gz
 License: Unlicense
@@ -20,13 +20,20 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-six
 
-Requires:  python-six
-Provides:  python2-urlobject
-
 
-%description
+%global _description\
 A utility class for manipulating URLs
 
+%description %_description
+
+%package -n python2-urlobject
+Summary: %summary
+Provides:  python2-urlobject
+Requires:  python-six
+%{?python_provide:%python_provide python2-urlobject}
+
+%description -n python2-urlobject %_description
+
 %if 0%{?with_python3}
 %package -n python3-urlobject
 Summary: A utility class for manipulating URLs
@@ -57,7 +64,7 @@ A utility class for manipulating URLs
 %endif
 
 
-%files 
+%files -n python2-urlobject
 %license UNLICENSE
 %{python2_sitelib}/urlobject/
 %{python2_sitelib}/URLObject*.egg-info/
@@ -70,6 +77,10 @@ A utility class for manipulating URLs
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.4.0-12
+- Python 2 subpackage renamed to python2-urlobject
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-urwid/python-urwid.spec python-urwid/python-urwid.spec.tmp
index 1a3d80b988..3aab47e524 100644
--- python-urwid/python-urwid.spec
+++ python-urwid/python-urwid.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:          python-urwid
 Version:       1.3.0
-Release:       9%{?dist}
+Release:       10%{?dist}
 Summary:       Console user interface library
 
 Group:         Development/Libraries
@@ -33,14 +33,22 @@ BuildRequires: python3-test
 BuildRequires: /usr/bin/2to3
 %endif # if with_python3
 
-%description
-Urwid is a Python library for making text console applications.  It has
-many features including fluid interface resizing, support for UTF-8 and
-CJK encodings, standard and custom text layout modes, simple markup for
-setting text attributes, and a powerful, dynamic list box that handles a
-mix of widget types.  It is flexible, modular, and leaves the developer in
+%global _description\
+Urwid is a Python library for making text console applications.  It has\
+many features including fluid interface resizing, support for UTF-8 and\
+CJK encodings, standard and custom text layout modes, simple markup for\
+setting text attributes, and a powerful, dynamic list box that handles a\
+mix of widget types.  It is flexible, modular, and leaves the developer in\
 control.
 
+%description %_description
+
+%package -n python2-urwid
+Summary: %summary
+%{?python_provide:%python_provide python2-urwid}
+
+%description -n python2-urwid %_description
+
 %if 0%{?with_python3}
 %package -n python3-urwid
 Summary: Urwid console user interface library for Python 3
@@ -101,7 +109,7 @@ popd
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-urwid
 %defattr(-,root,root,-)
 %doc COPYING README.rst examples docs
 %{python_sitearch}/urwid
@@ -116,6 +124,10 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.0-10
+- Python 2 subpackage renamed to python2-urwid
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-vcrpy/python-vcrpy.spec python-vcrpy/python-vcrpy.spec.tmp
index a23a68c96f..842e3f9085 100644
--- python-vcrpy/python-vcrpy.spec
+++ python-vcrpy/python-vcrpy.spec.tmp
@@ -14,7 +14,7 @@
 
 Name:               python-vcrpy
 Version:            1.10.5
-Release:            3%{?dist}
+Release:            4%{?dist}
 Summary:            Automatically mock your HTTP interactions to simplify and speed up testing
 
 Group:              Development/Libraries
@@ -35,11 +35,6 @@ BuildRequires:      python-contextlib2
 BuildRequires:      python-wrapt
 #BuildRequires:      python-backport_collections
 
-Requires:           PyYAML
-Requires:           python-mock
-Requires:           python-six
-Requires:           python-contextlib2
-Requires:           python-wrapt
 #Requires:           python-backport_collections
 
 %if 0%{?with_python3}
@@ -54,17 +49,30 @@ BuildRequires:      python3-wrapt
 #BuildRequires:      python3-backport_collections
 %endif
 
-%description
-Simplify and speed up testing HTTP by recording all HTTP interactions and
-saving them to "cassette" files, which are yaml files containing the contents
-of your requests and responses.  Then when you run your tests again, they all
-just hit the text files instead of the internet.  This speeds up your tests and
-lets you work offline.
-
-If the server you are testing against ever changes its API, all you need to do
-is delete your existing cassette files, and run your tests again.  All of the
+%global _description\
+Simplify and speed up testing HTTP by recording all HTTP interactions and\
+saving them to "cassette" files, which are yaml files containing the contents\
+of your requests and responses.  Then when you run your tests again, they all\
+just hit the text files instead of the internet.  This speeds up your tests and\
+lets you work offline.\
+\
+If the server you are testing against ever changes its API, all you need to do\
+is delete your existing cassette files, and run your tests again.  All of the\
 mocked responses will be updated with the new API.
 
+%description %_description
+
+%package -n python2-vcrpy
+Summary: %summary
+Requires:           python-wrapt
+Requires:           python-contextlib2
+Requires:           python-six
+Requires:           python-mock
+Requires:           PyYAML
+%{?python_provide:%python_provide python2-vcrpy}
+
+%description -n python2-vcrpy %_description
+
 %if 0%{?with_python3}
 %package -n python3-vcrpy
 Summary:            Automatically mock your HTTP interactions to simplify and speed up testing
@@ -129,7 +137,7 @@ popd
 #popd
 #%%endif
 
-%files
+%files -n python2-vcrpy
 # No readme or license yet
 # https://github.com/kevin1024/vcrpy/pull/148
 #%doc README.md
@@ -148,6 +156,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.10.5-4
+- Python 2 subpackage renamed to python2-vcrpy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.5-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-velruse/python-velruse.spec python-velruse/python-velruse.spec.tmp
index 646fa017b9..38c04fd368 100644
--- python-velruse/python-velruse.spec
+++ python-velruse/python-velruse.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{modname}
 Version:        1.1.1
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Simplify third-party authentication for web applications
 
 Group:          Development/Libraries
@@ -26,51 +26,58 @@ BuildRequires:  python-anykeystore
 # No test dependencies are installed since they require python-selenium
 # We don't run the tests.
 
-Requires:       python-openid
-Requires:       python-oauth2
-Requires:       python-pyramid
-Requires:       python-requests
-Requires:       python-anykeystore
-Requires:       python-requests-oauthlib
-
 
-%description
-Velruse is a set of authentication routines that provide a unified way
-to have a website user authenticate to a variety of different identity
-providers and/or a variety of different authentication schemes.
-
-It is similar in some ways to Janrain Engage with the exception of being
-open-source, locally installable, and easily pluggable for custom identity
-providers and authentication schemes.
-
-You can run Velruse as a stand-alone service for use with your websites
-regardless of the language they’re written in. While Velruse itself is
-written in Python, since it can interact with your website purely via HTTP
-POST’s.
-
-Velruse can:
-
- - Normalize identity information from varying provider sources (OpenID,
-   Google, Facebook, etc.) to Portable Contacts.
- - Simplify complex authentication protocols by providing a simple
-   consistent API
- - Provide extension points for other authentication systems, write your
-   own auth provider to handle CAS, LDAP, and use it with ease
- - Integrate with most web applications regardless of the language used to
-   write the website
-
-Velruse aims to simplify authenticating a user. It provides auth provider‘s
-that handle authenticating to a variety of identity providers with multiple
-authentication schemes (LDAP, SAML, etc.). Eventually, Velruse will include
-widgets similar to RPXNow that allow one to customize a login/registration
-widget so that a website user can select a preferred identity provider to
-use to sign-in. In the mean-time, effort is focused on increasing the
-available auth provider‘s for the commonly used authentication schemes and
-identity providers (Facebook, Google, OpenID, etc). Unlike other
-authentication libraries for use with web applications, a website using
-Velruse for authentication does not have to be written in any particular
+%global _description\
+Velruse is a set of authentication routines that provide a unified way\
+to have a website user authenticate to a variety of different identity\
+providers and/or a variety of different authentication schemes.\
+\
+It is similar in some ways to Janrain Engage with the exception of being\
+open-source, locally installable, and easily pluggable for custom identity\
+providers and authentication schemes.\
+\
+You can run Velruse as a stand-alone service for use with your websites\
+regardless of the language they’re written in. While Velruse itself is\
+written in Python, since it can interact with your website purely via HTTP\
+POST’s.\
+\
+Velruse can:\
+\
+ - Normalize identity information from varying provider sources (OpenID,\
+   Google, Facebook, etc.) to Portable Contacts.\
+ - Simplify complex authentication protocols by providing a simple\
+   consistent API\
+ - Provide extension points for other authentication systems, write your\
+   own auth provider to handle CAS, LDAP, and use it with ease\
+ - Integrate with most web applications regardless of the language used to\
+   write the website\
+\
+Velruse aims to simplify authenticating a user. It provides auth provider‘s\
+that handle authenticating to a variety of identity providers with multiple\
+authentication schemes (LDAP, SAML, etc.). Eventually, Velruse will include\
+widgets similar to RPXNow that allow one to customize a login/registration\
+widget so that a website user can select a preferred identity provider to\
+use to sign-in. In the mean-time, effort is focused on increasing the\
+available auth provider‘s for the commonly used authentication schemes and\
+identity providers (Facebook, Google, OpenID, etc). Unlike other\
+authentication libraries for use with web applications, a website using\
+Velruse for authentication does not have to be written in any particular\
 language.
 
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
+Requires:       python-requests-oauthlib
+Requires:       python-anykeystore
+Requires:       python-requests
+Requires:       python-pyramid
+Requires:       python-oauth2
+Requires:       python-openid
+%{?python_provide:%python_provide python2-%{modname}}
+
+%description -n python2-%{modname} %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 %patch0 -p1
@@ -87,12 +94,16 @@ rm -rf %{modname}.egg-info
 %check
 # No tests are run since they require python-selenium
 
-%files
+%files -n python2-%{modname}
 %doc PKG-INFO
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.1-7
+- Python 2 subpackage renamed to python2-velruse
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-venusian/python-venusian.spec python-venusian/python-venusian.spec.tmp
index 4f3b316039..2f3466854c 100644
--- python-venusian/python-venusian.spec
+++ python-venusian/python-venusian.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-%{modname}
 Version:        1.0
-Release:        0.17.%{alphaver}%{?dist}
+Release:        0.18.%{alphaver}%{?dist}
 Summary:        A library for deferring decorator actions
 
 Group:          Development/Libraries
@@ -31,13 +31,21 @@ BuildRequires:  python3-nose-exclude
 %endif
 
 
-%description
-Venusian is a library which allows framework authors to defer decorator
-actions.  Instead of taking actions when a function (or class) decorator is
-executed at import time, you can defer the action usually taken by the
-decorator until a separate "scan" phase.
+%global _description\
+Venusian is a library which allows framework authors to defer decorator\
+actions.  Instead of taking actions when a function (or class) decorator is\
+executed at import time, you can defer the action usually taken by the\
+decorator until a separate "scan" phase.\
 
 
+%description %_description
+
+%package -n python2-venusian
+Summary: %summary
+%{?python_provide:%python_provide python2-venusian}
+
+%description -n python2-venusian %_description
+
 %if 0%{?with_python3}
 %package -n python3-venusian
 Summary:        A library for deferring decorator actions
@@ -88,7 +96,7 @@ popd
 
 %{__python} setup.py nosetests
 
-%files
+%files -n python2-venusian
 %doc README.txt LICENSE.txt
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/%{modname}-%{version}*.egg-info
@@ -102,6 +110,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-0.18.a7
+- Python 2 subpackage renamed to python2-venusian
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.17.a7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-versiontools/python-versiontools.spec python-versiontools/python-versiontools.spec.tmp
index e26dfecccf..67b7fa4c11 100644
--- python-versiontools/python-versiontools.spec
+++ python-versiontools/python-versiontools.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-versiontools
 Version:        1.9.1
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Smart replacement for plain tuple used in __version__
 
 License:        LGPLv3
@@ -30,9 +30,17 @@ BuildRequires:  python3-sphinx
 BuildRequires:  python3-nose
 %endif # with_python3
 
-%description
+%global _description\
 %{summary}
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        Smart replacement for plain tuple used in __version__
@@ -88,7 +96,7 @@ PYTHONPATH="${PWD}" %{__python3} setup.py nosetests
 popd
 %endif # with_python3
 
-%files
+%files -n python2-%{pypi_name}
 %doc html
 %{python2_sitelib}/%{pypi_name}
 %{python2_sitelib}/%{pypi_name}-%{version}-py2*.egg-info
@@ -102,6 +110,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.1-15
+- Python 2 subpackage renamed to python2-versiontools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-virtualenvcontext/python-virtualenvcontext.spec python-virtualenvcontext/python-virtualenvcontext.spec.tmp
index 95bd90c5f9..49aaa85aae 100644
--- python-virtualenvcontext/python-virtualenvcontext.spec
+++ python-virtualenvcontext/python-virtualenvcontext.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:             python-virtualenvcontext
 Version:          0.1.6
-Release:          9%{?dist}
+Release:          10%{?dist}
 Summary:          Switch virtualenvs with a python context manager
 
 Group:            Development/Languages
@@ -16,26 +16,33 @@ BuildArch:        noarch
 BuildRequires:    python2-devel
 BuildRequires:    python-setuptools
 
-Requires:         python-virtualenvwrapper
-
-%description
-Switch virtualenvs with a python context manager:
-
->>> from virtualenvcontext import VirtualenvContext
+%global _description\
+Switch virtualenvs with a python context manager:\
+\
+>>> from virtualenvcontext import VirtualenvContext\
+\
+>>> try:\
+>>>     import kitchen\
+>>> except ImportError as e:\
+>>>     print "kitchen is definitely not installed in system-python"\
+\
+>>> with VirtaulenvContext("my-venv"):\
+>>>     import kitchen\
+>>>     print "But it *is* installed in my virtualenv"\
+\
+>>> try:\
+>>>     import kitchen\
+>>> except ImportError as e:\
+>>>     print "But once I exit that block, I lose my powers again..."
 
->>> try:
->>>     import kitchen
->>> except ImportError as e:
->>>     print "kitchen is definitely not installed in system-python"
+%description %_description
 
->>> with VirtaulenvContext("my-venv"):
->>>     import kitchen
->>>     print "But it *is* installed in my virtualenv"
+%package -n python2-virtualenvcontext
+Summary: %summary
+Requires:         python-virtualenvwrapper
+%{?python_provide:%python_provide python2-virtualenvcontext}
 
->>> try:
->>>     import kitchen
->>> except ImportError as e:
->>>     print "But once I exit that block, I lose my powers again..."
+%description -n python2-virtualenvcontext %_description
 
 %prep
 %setup -q -n virtualenvcontext-%{version}
@@ -48,7 +55,7 @@ Switch virtualenvs with a python context manager:
 
 # Don't run the check section, since it requires a network connection.
 
-%files
+%files -n python2-virtualenvcontext
 %doc README.rst LICENSE PKG-INFO
 
 %{python_sitelib}/%{modname}
@@ -56,6 +63,10 @@ Switch virtualenvs with a python context manager:
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.6-10
+- Python 2 subpackage renamed to python2-virtualenvcontext
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-vkontakte/python-vkontakte.spec python-vkontakte/python-vkontakte.spec.tmp
index be070f28bb..5589d550f2 100644
--- python-vkontakte/python-vkontakte.spec
+++ python-vkontakte/python-vkontakte.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-%{realname}
 Version:	1.3.3
-Release:	5%{?dist}
+Release:	6%{?dist}
 Summary:	vk.com (aka vkontakte.ru) API wrapper
 Group:		Development/Languages
 License:	MIT
@@ -13,12 +13,20 @@ BuildRequires:	python-setuptools
 BuildArch:	noarch
 
 
-%description
-This is a vk.com (aka vkontakte.ru, largest Russian social network) python API
-wrapper. The goal is to support all API methods (current and future) that can
-be accessed from server.
+%global _description\
+This is a vk.com (aka vkontakte.ru, largest Russian social network) python API\
+wrapper. The goal is to support all API methods (current and future) that can\
+be accessed from server.\
 
 
+%description %_description
+
+%package -n python2-%{realname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{realname}}
+
+%description -n python2-%{realname} %_description
+
 %prep
 %setup -q -n %{realname}-%{version}
 
@@ -31,7 +39,7 @@ be accessed from server.
 %py_install
 
 
-%files
+%files -n python2-%{realname}
 %license LICENSE.txt
 %doc AUTHORS.txt README.rst
 %{python_sitelib}/*
@@ -39,6 +47,10 @@ be accessed from server.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.3-6
+- Python 2 subpackage renamed to python2-vkontakte
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-volatility/python-volatility.spec python-volatility/python-volatility.spec.tmp
index c997942a8f..91b4045fda 100644
--- python-volatility/python-volatility.spec
+++ python-volatility/python-volatility.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-volatility
 Version:        2.6.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Volatile memory extraction utility framework
 
 License:        GPLv2+
@@ -17,22 +17,30 @@ Source2:        volatility.1
 
 BuildArch:      noarch
 BuildRequires:  python2-devel python-setuptools
-Requires:       pycrypto
 
 #Tool dwarfdump used in script vol_genprofile for generation of linux profile
 #Requires:       /usr/bin/dwarfdump
-Requires:       libdwarf-tools
 
-%description
-The Volatility Framework is a completely open collection of tools, implemented
-in Python under the GNU General Public License, for the extraction of digital
-artifacts from volatile memory (RAM) samples. The extraction techniques are
-performed completely independent of the system being investigated but offer
-unprecedented visibility into the run time state of the system. The framework is
-intended to introduce people to the techniques and complexities associated with
-extracting digital artifacts from volatile memory samples and provide a
-platform for further work into this exciting area of research. 
+%global _description\
+The Volatility Framework is a completely open collection of tools, implemented\
+in Python under the GNU General Public License, for the extraction of digital\
+artifacts from volatile memory (RAM) samples. The extraction techniques are\
+performed completely independent of the system being investigated but offer\
+unprecedented visibility into the run time state of the system. The framework is\
+intended to introduce people to the techniques and complexities associated with\
+extracting digital artifacts from volatile memory samples and provide a\
+platform for further work into this exciting area of research.\
+
+
+%description %_description
 
+%package -n python2-volatility
+Summary: %summary
+Requires:       libdwarf-tools
+Requires:       pycrypto
+%{?python_provide:%python_provide python2-volatility}
+
+%description -n python2-volatility %_description
 
 %prep
 %setup -qn %{gitname}-%{commit}
@@ -69,7 +77,7 @@ ln -s volatility.1.gz %{buildroot}/%{_mandir}/man1/vol_genprofile.1.gz
 
 
 
-%files
+%files -n python2-volatility
 %{!?_licensedir:%global license %%doc}
 %license LICENSE.txt LEGAL.txt
 %doc AUTHORS.txt CHANGELOG.txt CREDITS.txt README.txt
@@ -85,6 +93,10 @@ ln -s volatility.1.gz %{buildroot}/%{_mandir}/man1/vol_genprofile.1.gz
 %{_mandir}/man1/vol_genprofile.*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.6.0-4
+- Python 2 subpackage renamed to python2-volatility
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
